Bitcoin Forum
November 23, 2017, 11:02:23 PM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Are very old clients still able to participate on the bitcoin network?  (Read 1519 times)
Evil-Knievel
Legendary
*
Online Online

Activity: 1050



View Profile
February 20, 2015, 03:05:32 PM
 #1

Just out of curiosity.
Let us say I have a very old bitcoin client installed (like v 0.3): Would this client still be able to talk to the other (newer) bitcoin nodes or are all the new protocol changes like "inv" messages backward incompatible?

Evil
1511478143
Hero Member
*
Offline Offline

Posts: 1511478143

View Profile Personal Message (Offline)

Ignore
1511478143
Reply with quote  #2

1511478143
Report to moderator
1511478143
Hero Member
*
Offline Offline

Posts: 1511478143

View Profile Personal Message (Offline)

Ignore
1511478143
Reply with quote  #2

1511478143
Report to moderator
Join ICO Now A blockchain platform for effective freelancing
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1511478143
Hero Member
*
Offline Offline

Posts: 1511478143

View Profile Personal Message (Offline)

Ignore
1511478143
Reply with quote  #2

1511478143
Report to moderator
Evil-Knievel
Legendary
*
Online Online

Activity: 1050



View Profile
February 20, 2015, 03:09:20 PM
 #2

EDIT: I think I have found the answer.
Current clients can only talk to other clients with have at least version:

static const int GETHEADERS_VERSION = 31800;


Hiowever, Bitcoin Client v.0.3.24 has only version 10300 and therefore it cannot connect to other peers.
gmaxwell
Moderator
Legendary
*
qt
Offline Offline

Activity: 2338



View Profile
February 20, 2015, 05:57:08 PM
 #3

EDIT: I think I have found the answer.
Current clients can only talk to other clients with have at least version:

static const int GETHEADERS_VERSION = 31800;


Hiowever, Bitcoin Client v.0.3.24 has only version 10300 and therefore it cannot connect to other peers.
0.3.24 has version 32400, but nodes that old will almost certainly get stuck pretty much right away due to old bugs.

Bitcoin will not be compromised
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!